<?php
$target_dir = "videos/";
$target_file = $target_dir . basename($_FILES["fileToUpload"]["name"]);
$uploadOk = 1;
$videoFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

// Verifique se é um arquivo de vídeo MP4
if($videoFileType != "mp4") {
  echo "Desculpe, apenas arquivos MP4 são permitidos.";
  $uploadOk = 0;
}

// Verifique se houve algum erro no upload
if ($uploadOk == 0) {
  echo "Desculpe, seu arquivo não foi enviado.";
// Se tudo estiver correto, tente fazer o upload do arquivo
} else {
  if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
    echo "O arquivo ". htmlspecialchars( basename( $_FILES["fileToUpload"]["name"])). " foi enviado.";
  } else {
    echo "Desculpe, ocorreu um erro ao enviar o arquivo.";
  }
}
?>
